package com.bonus.canteen.core.account.v3.custom;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.account.v3.api.vo.AccInfoDetailVO;
import com.bonus.canteen.core.account.v4.app.dto.AppAccInfoV4DTO;
import com.bonus.canteen.core.account.v4.app.vo.AppAccInfoV4VO;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AccForAppCustomBusiness implements CustomBusiness {
   private static final Logger log = LoggerFactory.getLogger(AccForAppCustomBusiness.class);

   @Override
   public String name() {
      return "账户移动端";
   }

   @Override
   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("5.1.0", "初版")});
   }

   public void didGetAccInfoDetail(AccInfoDetailVO content) {
      log.info("获取小牛账户详情后操作");
   }

   public void didGetAccInfoDetailV4(AppAccInfoV4DTO appAccInfoV4DTO, AppAccInfoV4VO appAccInfoV4VO) {
   }
}
